//
//  ViewController.swift
//  navigationController_TableView
//
//  Created by yoshiyuki oshige on 2014/10/02.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // WebビューとOutlet接続する
    @IBOutlet weak var webView: UIWebView!
    
    var detailItem: Web? {
        // プロパティがセットされたら実行する
        didSet {
            self.configureView()
        }
    }
    
    // Webページを開く
    func configureView() {
        //　detailItemに値があればwebDataに入れる
        if let webData: Web = self.detailItem {
            // webViewが設定されていれば続ける
            if let webView = self.webView {
                // アクセスするURLを作る
                let url = NSURL(string:webData.url)
                let urlReq =  NSURLRequest(URL: url!)
                // Webページを開く
                webView.loadRequest(urlReq)
               
            }
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Webページを開く
        self.configureView()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

