//
//  MyTabBarController.swift
//  tabBarApp
//
//  Created by yoshiyuki oshige on 2014/11/16.
//  Copyright (c) 2014年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class MyTabBarController: UITabBarController {

    // タブバーが切り替わる際のデリゲートメソッド
    override func tabBar(tabBar: UITabBar, didSelectItem item: UITabBarItem!){
        // Thirdタブだったときバッジを消す
        if item.title == "Third" {
            item.badgeValue = nil
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 3番目のタブにバッジ"New"を付ける
        let tabBarItem = tabBar.items?[2] as! UITabBarItem
        tabBarItem.badgeValue = "New"
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
